#!/bin/sh

function doall_fail()
{
  echo "error:" $1
  exit 1
}

for i in `seq -w 01 01`; do
  cp "$i"{.t,} || doall_fail "cannot copy [$i.t]"
done

javac TestsGen.java || doall_fail "compile [TestsGen] failed"
java TestsGen || doall_fail "run [TestsGen] failed"

